View Single Post
  #1   (View Single Post)  
Old 22nd May 2017
Adrien2002 Adrien2002 is offline
Port Guard
 
Join Date: Jun 2015
Posts: 29
Default KLD nvidia-modeset.ko: depends on kernel - not available or version mismatch

Hello,

I am using FreeBSD -current since a few weeks with nvidia driver. It was working correctly since I update with pkg update && pkg upgrade 4 or 5 days ago.

I've set "nvidia_load" and "nvidia-modeset_load" to my loader.conf and set "linux_enable" in my rc.conf.

Now, if I try to start X with nvidia driver, here's what I'll get from Xorg.log :

[ 33.729] (EE) NVIDIA: Failed to initialize the NVIDIA kernel module. [...]

And here is what dmesg says about it :

KLD nvidia-modeset.ko: depends on kernel - not available or version mismatch
linker_load_file: /boot/modules/nvidia-modeset.ko - unsupported file type
Reply With Quote